# AssemblerSourceSet

API Documentation: | `AssemblerSourceSet`

Note: This class is incubating and may change in a future version of Gradle.

A set of assembly language sources.

    apply plugin: "assembler"

    model {
        components {
            main(NativeLibrarySpec) {
                sources {
                    asm {
                        source {
                            srcDirs "src/main/i386", "src/shared/asm"
                            include "**/*.s"
                        }
                    }
                }
            }
        }
    }

### Properties

Property | Description
`buildDependencies` | Returns a dependency which contains the tasks which build this artifact. All `Buildable` implementations must ensure that the returned dependency object is live, so that it tracks changes to the dependencies of this buildable.
`buildTask` | Incubating The 'lifecycle' task associated with the construction of this element.
`source` | Incubating The source files.

### Methods

Method | Description
`builtBy(tasks)` | Incubating Adds a task that is required for the construction of this element. A task added this way is then added as a dependency of the associated lifecycle task.
`source(config)` | Incubating Configure the sources

### Script blocks

No script blocks

### Property details

#### `TaskDependency` `buildDependencies` (read-only)

Returns a dependency which contains the tasks which build this artifact. All `Buildable` implementations must ensure that the returned dependency object is live, so that it tracks changes to the dependencies of this buildable.

#### `Task` `buildTask`

Note: This property is incubating and may change in a future version of Gradle.

The 'lifecycle' task associated with the construction of this element.

#### `SourceDirectorySet` `source` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The source files.

### Method details

#### `void` `builtBy`(``Object`...` tasks)

Note: This method is incubating and may change in a future version of Gradle.

Adds a task that is required for the construction of this element. A task added this way is then added as a dependency of the associated lifecycle task.

#### `void` `source`(``Action`<? super `SourceDirectorySet`>` config)

Note: This method is incubating and may change in a future version of Gradle.

Configure the sources